about summary refs log tree commit diff
path: root/test/pnmcolormap.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pnmcolormap.test')
-rwxr-xr-xtest/pnmcolormap.test33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/pnmcolormap.test b/test/pnmcolormap.test
new file mode 100755
index 00000000..13be8a44
--- /dev/null
+++ b/test/pnmcolormap.test
@@ -0,0 +1,33 @@
+#! /bin/bash
+# This script tests: pnmcolormap
+# Also requires:
+
+pnmcolormap -plain -sort 2 testgrid.pbm
+pnmcolormap -plain -sort -square 2 testgrid.pbm 
+pnmcolormap -plain -sort all testgrid.pbm
+
+echo 1>&2
+echo "Invalid command-line arguments." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+pnmcolormap 0 testimg.ppm   > ${test_out} || \
+  echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pnmcolormap -1 testimg.ppm  > ${test_out} || \
+  echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pnmcolormap 0.1 testimg.ppm > ${test_out} || \
+  echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pnmcolormap -center -meancolor 16 testimg.ppm    > ${test_out} || \
+  echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+pnmcolormap -center -meanpixel 16 testimg.ppm    > ${test_out} || \
+  echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+pnmcolormap -meancolor -meanpixel 16 testimg.ppm > ${test_out} || \
+  echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+pnmcolormap -spreadbrightness -spreadluminosity 16 \
+  testimg.ppm > ${test_out} || \
+  echo -n "Expected failure 7"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}